<?php 
    //set default value of variables for initial page load
    if (!isset($investment)) { $investment = ''; } 
    if (!isset($years)) { $years = ''; } 
    if (!isset($rate)) { $rate = ''; } 
?> 
<!DOCTYPE html>
<html>
<head>
    <title>Fox Finance Calculator</title>
    <link rel="stylesheet" type="text/css" href="main.css">
</head>

<body>
    
    <main>
    <?php include('header.php')?>
        
    <h1>Future Value Calculator</h1>
    <?php if (!empty($error_message)) { ?>
        <p class="error"><?php echo htmlspecialchars($error_message); ?></p>
    <?php } ?>
    <form>

        <div id="data">
            <label>Investment Amount:</label>
            <input type="text" name="investment"
                   value="<?php echo htmlspecialchars($investment); ?>">
            <br>

            <label>Number of Years:</label>
            <input type="text" name="years"
                   value="<?php echo htmlspecialchars($years); ?>">
            <br>
            
            <label>Interest Rate:</label>
            <input type="text" name="rate"
                   value="<?php echo htmlspecialchars($rate); ?>">
            <br>
        </div>

        <div id="buttons">
            <label>&nbsp;</label>
            <input type="submit" value="Calculate"><br>
        </div>

    </form>
    
    <?php include('footer.php')?>
    </main>
</body>
</html>