<?php 
    //set default value of variables for initial page load
    if (!isset($investment)) { $investment = ''; } 
    if (!isset($interest_rate)) { $interest_rate = ''; } 
?> 
<!DOCTYPE html>
<html>
<head>
    <title>Fox Finance Calculator</title>
    <link rel="stylesheet" type="text/css" href="main.css">
</head>

<body>
    
    <main>
    <?php include('header.php')?>
        
     
    <h1>Double your money</h1>
    <h2>How long will it take to double your investment at a given interest rate?</h2>
    <?php if (!empty($error_message)) { ?>
        <p class="error"><?php echo htmlspecialchars($error_message); ?></p>
    <?php } ?>
    <form>

        <div id="data">
            <label>Investment Amount:</label>
            <input type="text" name="investment"
                   value="<?php echo htmlspecialchars($investment); ?>">
            <br>
            <label>Interest Rate:</label>
            <input type="text" name="interest_rate"
                   value="<?php echo htmlspecialchars($interest_rate); ?>">
            <br>

           

        </div>

        <div id="buttons">
            <label>&nbsp;</label>
            <input type="submit" value="Calculate"><br>
        </div>

    </form>
    
    <?php include('footer.php')?>
    </main>
</body>
</html>