<?php 
    //set default value of variables for initial page load
    if (!isset($yourname)) { $yourname = ''; } 
    if (!isset($youremail)) { $youremail = ''; } 
    if (!isset($yourquestion)) { $yourquestion = ''; } 
?> 
<!DOCTYPE html>
<html>
<head>
    <title>Fox Financial Calculator</title>
    <link rel="stylesheet" type="text/css" href="main.css">
</head>

<body>
    
    <main>
    <?php include('header.php')?>
        
    <h1>Contact Us</h1>
    <?php if (!empty($error_message)) { ?>
        <p class="error"><?php echo htmlspecialchars($error_message); ?></p>
    <?php } ?>
    <form action="contact_results.php" method="post">

        <div id="data">
            <label>Your Name:</label>
            <input type="text" name="yourname"
                   value="<?php echo htmlspecialchars($yourname); ?>">
            <br>

            <label>Your Email Address:</label>
            <input type="text" name="youremail"
                   value="<?php echo htmlspecialchars($youremail); ?>">
            <br>

            <label>Your Question:</label>
            <input type="text" name="yourquestion"
                   value="<?php echo htmlspecialchars($yourquestion); ?>">
            <br>
        </div>

        <div id="buttons">
            <label>&nbsp;</label>
            <input type="submit" value="Submit"><br>
        </div>

    </form>
    
    <?php include('footer.php')?>
    </main>
</body>
</html>